"use strict";
// // #! /usr/bin/env node
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
// import inquirer from "inquirer";
// import chalk from "chalk";
// console.log(chalk.cyanBright("Game: let's guess a number between  (1 to 10) in 3 tries"));
// const randomNumber = Math.floor( Math.random() * 10+1);let triesNumber = 3;
// while (triesNumber > 0) {
//     const answer = await inquirer.prompt([
//         {
//             message: "Please Enter Your Number",
//             type: "input", // Use "input" instead of "Number"
//             name: "userNumber",
//         }
//     ]);
//     const userNumber = parseInt(answer.userNumber); // Convert user input to a number
//     if (userNumber === randomNumber) {
//         console.log(chalk.yellow("Congrats! You Guessed the Right Number"));
//         triesNumber = 0;
//     } else {
//         console.log(chalk.red("Oops! Sorry, You Guessed the Wrong Number "));
//         if (randomNumber > userNumber) 
//             console.log(chalk.green("\tThink Higher"));
//         else
//             console.log(chalk.blueBright("\tThink Lower"));
//     }
//     console.log(`\tYou have ${triesNumber - 1} tries left`);
//     console.log("\tPlease Try Again!");
//     triesNumber--;
// }
var inquirer_1 = require("inquirer");
var chalk_1 = require("chalk");
function startGame() {
    return __awaiter(this, void 0, void 0, function () {
        var randomNumber, triesNumber, answer, userNumber;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    console.log(chalk_1.default.cyanBright("Game: let's guess a number between  (1 to 10) in 3 tries"));
                    randomNumber = Math.floor(Math.random() * 10 + 1);
                    triesNumber = 3;
                    _a.label = 1;
                case 1:
                    if (!(triesNumber > 0)) return [3 /*break*/, 3];
                    return [4 /*yield*/, inquirer_1.default.prompt([
                            {
                                message: "Please Enter Your Number",
                                type: "input",
                                name: "userNumber",
                            }
                        ])];
                case 2:
                    answer = _a.sent();
                    userNumber = parseInt(answer.userNumber);
                    if (userNumber === randomNumber) {
                        console.log(chalk_1.default.yellow("Congrats! You Guessed the Right Number"));
                        triesNumber = 0;
                    }
                    else {
                        console.log(chalk_1.default.red("Oops! Sorry, You Guessed the Wrong Number "));
                        if (randomNumber > userNumber)
                            console.log(chalk_1.default.green("\tThink Higher"));
                        else
                            console.log(chalk_1.default.blueBright("\tThink Lower"));
                    }
                    console.log("\tYou have ".concat(triesNumber - 1, " tries left"));
                    console.log("\tPlease Try Again!");
                    triesNumber--;
                    return [3 /*break*/, 1];
                case 3: return [2 /*return*/];
            }
        });
    });
}
startGame();
